Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024356
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2013-07-17 13:072013-08-23 11:31
ReporterjecharriView Statuspublic 
Assigned Toguilleaer 
PriorityurgentResolutionfixedFixed in VersionRMP26
StatusclosedFix in branchpiFixed in SCM revisionb660bbe8754b
ProjectionnoneETAnoneTarget VersionRMP26
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024356: Problems with buttons price and discount

DescriptionProblems with buttons price and discount

The main problem is that price button is not changing the product price, it is creating a discount, so if you create a discount after that (using discount button) the discount is going to be applied in the original price instead that in the modified price.
Steps To Reproduce-Create a ticket

-add product avalanche transceiver 150.50

-change the price to 60

-apply a discount of 35%. You will see that the total is 97.8= 150.50*0.65 instead of 60*0.65=39
TagsNo tags attached.
Attached Filespng file icon wrong unit price is considering while calculating discount for a product.png [^] (226,882 bytes) 2013-08-23 07:14

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0060614)
hgbot (developer)
2013-08-16 17:28

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: b660bbe8754ba56166a27706a7f12482ed927eaa
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Aug 16 17:27:38 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b660bbe8754ba56166a27706a7f12482ed927eaa [^]

fixed issue 24356: Line Discounts (using keyboard) are applied to the current price not to the original price

---
M web/org.openbravo.retail.posterminal/js/components/menu.js
M web/org.openbravo.retail.posterminal/js/data/dataorderdiscount.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/toolbar-left.js
---
(0060681)
hgbot (developer)
2013-08-20 13:10

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: aa6caf276da7b5cf28bf731e33ecad2c49a1c1af
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Tue Aug 20 13:10:27 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/aa6caf276da7b5cf28bf731e33ecad2c49a1c1af [^]

related to issue 24356: reverting changes which were accidentaly commited

---
M web/org.openbravo.retail.posterminal/js/components/menu.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/toolbar-left.js
---
(0060693)
hgbot (developer)
2013-08-21 08:31

Repository: erp/pmods/org.openbravo.retail.posterminal-rds
Changeset: aa6caf276da7b5cf28bf731e33ecad2c49a1c1af
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Tue Aug 20 13:10:27 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-rds/rev/aa6caf276da7b5cf28bf731e33ecad2c49a1c1af [^]

related to issue 24356: reverting changes which were accidentaly commited

---
M web/org.openbravo.retail.posterminal/js/components/menu.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/toolbar-left.js
---
(0060740)
sureshbabu (reporter)
2013-08-23 07:13

Still i am finding the same issue in RMP26 test instance. Product actual unit price is considered for discount calculation and not the changed unit price.
(0060746)
guilleaer (developer)
2013-08-23 11:31

reclosed. Suresh reopened it accidentally

- Issue History
Date Modified Username Field Change
2013-07-17 13:07 jecharri New Issue
2013-07-17 13:07 jecharri Assigned To => marvintm
2013-08-16 17:28 hgbot Checkin
2013-08-16 17:28 hgbot Note Added: 0060614
2013-08-16 17:28 hgbot Status new => resolved
2013-08-16 17:28 hgbot Resolution open => fixed
2013-08-16 17:28 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b660bbe8754ba56166a27706a7f12482ed927eaa [^]
2013-08-20 13:10 hgbot Checkin
2013-08-20 13:10 hgbot Note Added: 0060681
2013-08-20 16:04 marvintm Review Assigned To => marvintm
2013-08-20 16:04 marvintm Status resolved => closed
2013-08-20 16:04 marvintm Fixed in Version => RMP26
2013-08-21 08:31 hgbot Checkin
2013-08-21 08:31 hgbot Note Added: 0060693
2013-08-23 07:13 sureshbabu Note Added: 0060740
2013-08-23 07:13 sureshbabu Status closed => new
2013-08-23 07:13 sureshbabu Resolution fixed => open
2013-08-23 07:13 sureshbabu Fixed in Version RMP26 =>
2013-08-23 07:14 sureshbabu File Added: wrong unit price is considering while calculating discount for a product.png
2013-08-23 11:31 guilleaer Assigned To marvintm => guilleaer
2013-08-23 11:31 guilleaer Status new => scheduled
2013-08-23 11:31 guilleaer fix_in_branch => pi
2013-08-23 11:31 guilleaer Status scheduled => resolved
2013-08-23 11:31 guilleaer Fixed in Version => RMP26
2013-08-23 11:31 guilleaer Resolution open => fixed
2013-08-23 11:31 guilleaer Note Added: 0060746
2013-08-23 11:31 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker